Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 967077 - [RFE] Option to configure Windows spice client to populate both the selection buffer AND the clipboard in linux guests
Summary: [RFE] Option to configure Windows spice client to populate both the selection...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer
Version: 3.1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Marc-Andre Lureau
QA Contact: Desktop QE
URL:
Whiteboard: spice
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-05-24 15:48 UTC by Allan Voss
Modified: 2018-12-09 17:05 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-26 12:03:43 UTC
oVirt Team: Spice
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 406043 None None None Never

Comment 1 Marc-Andre Lureau 2013-07-10 18:39:52 UTC
Is this going to be configured via a controller and/or mime, or config file, or registry, or just an environment variable or argument would be enough?

The easier for us would be via an env such as SPICE_CLIPBOARD_FILL_BOTH. Making this visible to the UI doesn't seem like a good idea.

Comment 2 David Blechter 2013-08-21 18:42:58 UTC
moving to 3.4

Is the request still relevant? If yes, then why no reply on needinfo for about 2 months. If not, then the reporter should close the bug

Comment 3 Allan Voss 2013-08-23 13:17:43 UTC
(In reply to Marc-Andre Lureau from comment #1)
> Is this going to be configured via a controller and/or mime, or config file,
> or registry, or just an environment variable or argument would be enough?
> 
> The easier for us would be via an env such as SPICE_CLIPBOARD_FILL_BOTH.
> Making this visible to the UI doesn't seem like a good idea.

The customer would like a UI option if possible, but I agree that it might not be a good idea.

Comment 11 Marc-Andre Lureau 2014-02-20 15:18:26 UTC
RFC patch sent:
http://lists.freedesktop.org/archives/spice-devel/2014-February/016196.html

Imho, it would be better to find a solution outside of spice-gtk. The customer problem doesn't seem to be specific to spice. Perhaps we should have a small X daemon or configuration to populate all clipboards instead...

Comment 22 Marc-Andre Lureau 2014-05-26 12:03:43 UTC
Closing for now, since this is not a job for Spice client, and should be done by guest.

Clipboards can be sync with a small helper such as: http://elmarco.fedorapeople.org/clipsync.py


Note You need to log in before you can comment on or make changes to this bug.